GrailsAppServletInitializer (Grails 5.2.4)

Package: org.grails.boot.context.web

## [Groovy] Class GrailsAppServletInitializer

- org.grails.boot.context.web.GrailsAppServletInitializer

-     @groovy.transform.CompileStatic
      abstract class GrailsAppServletInitializer
      extends org.springframework.boot.web.servlet.support.SpringBootServletInitializer

  Ensure a GrailsApp in constructed during servlet initialization

  Authors:
    Graeme Rocher
  Since:
    3.0.6

- - ### Constructor Summary

    Constructors
    Constructor and description
    `GrailsAppServletInitializer ()`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected org.springframework.boot.builder.SpringApplicationBuilder` | `createSpringApplicationBuilder()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class org.springframework.boot.web.servlet.support.SpringBootServletInitializer` | `org.springframework.boot.web.servlet.support.SpringBootServletInitializer#onStartup(javax.servlet.ServletContext), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#wait(long, int), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#wait(long), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#wait(), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#equals(java.lang.Object), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#toString(), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#hashCode(), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#getClass(), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#notify(), org.springframework.boot.web.servlet.support.SpringBootServletInitializer#notifyAll()`

- - ### Constructor Detail

    - #### GrailsAppServletInitializer()

  - ### Method Detail

    - #### @java.lang.Override protected org.springframework.boot.builder.SpringApplicationBuilder createSpringApplicationBuilder()